{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            definition = toScolMaquetteEc.mecCode; 
            externalType = VARCHAR2; 
            name = mecCode; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = MEC_KEY; 
            externalType = NUMBER; 
            name = mecKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = toScolMaquetteEc.mecLibelle; 
            externalType = VARCHAR2; 
            name = mecLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = MSEM_ORDRE; 
            externalType = NUMBER; 
            name = msemOrdre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (fannKey, fspnKey, mecKey); 
    className = EOGenericRecord; 
    classProperties = (fannKey, fspnKey, msemOrdre, mecKey, toScolMaquetteEc, mecCode, mecLibelle); 
    externalName = V_SCOL_MAQUETTE_EC_FAST; 
    fetchSpecificationDictionary = {}; 
    name = VScolMaquetteEcFast; 
    primaryKeyAttributes = (fannKey, fspnKey, mecKey); 
    relationships = (
        {
            destination = ScolMaquetteEc; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mecKey; sourceAttribute = mecKey; }); 
            name = toScolMaquetteEc; 
        }
    ); 
}
